Skip to content
Start here

Get Chrome DevTools Protocol schema.

client.BrowserRendering.Devtools.Browser.Protocol(ctx, sessionID, query) (*DevtoolBrowserProtocolResponse, error)
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/protocol

Returns the complete Chrome DevTools Protocol schema including all domains, commands, events, and types. This schema describes the entire CDP API surface.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
sessionID string

Browser session ID.

formatuuid
query DevtoolBrowserProtocolParams
AccountID param.Field[string]

Account ID.

ReturnsExpand Collapse
type DevtoolBrowserProtocolResponse struct{…}
Domains []DevtoolBrowserProtocolResponseDomain

List of protocol domains.

Domain string

Domain name.

Commands []map[string, unknown]Optional

Available commands.

Dependencies []stringOptional

Domain dependencies.

Events []map[string, unknown]Optional

Available events.

Experimental boolOptional

Whether this domain is experimental.

Types []map[string, unknown]Optional

Type definitions.

Version DevtoolBrowserProtocolResponseVersionOptional

Protocol version.

Major string

Major version.

Minor string

Minor version.

Get Chrome DevTools Protocol schema.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.BrowserRendering.Devtools.Browser.Protocol(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    browser_rendering.DevtoolBrowserProtocolParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Domains)
}
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}
Returns Examples
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}